Sophie

Sophie

distrib > Mandriva > 2010.1 > i586 > media > contrib-updates-src > by-pkgid > f9766b2784ead2e70f39891aff92024b > files > 13

sagemath-4.4-5mdv2010.2.src.rpm

diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/ipy_profile_sage.py.orig sage-4.4/spkg/build/sage_scripts-4.4/ipy_profile_sage.py
--- sage-4.4/spkg/build/sage_scripts-4.4/ipy_profile_sage.py.orig	2010-04-28 18:12:44.623200740 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/ipy_profile_sage.py	2010-04-28 18:13:11.169591825 -0300
@@ -13,14 +13,9 @@ if 'SAGE_CLEAN' not in os.environ:
     
     from sage.misc.interpreter import attached_files 
 
-    branch = sage.misc.misc.branch_current_hg_notice(sage.misc.misc.branch_current_hg())
-    if branch:
-        print branch
-
     if not os.environ.has_key('SAGE_IMPORTALL') or os.environ['SAGE_IMPORTALL'] != "no":
         _ip.ex('from sage.all_cmdline import *')
 	
-
     startup_file = os.environ.get('SAGE_STARTUP_FILE', '')
     if os.path.exists(startup_file):
         _ip.options.autoexec.append('load %s'%startup_file)
diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/sage-doctest.orig sage-4.4/spkg/build/sage_scripts-4.4/sage-doctest
--- sage-4.4/spkg/build/sage_scripts-4.4/sage-doctest.orig	2010-04-28 18:13:55.755195966 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/sage-doctest	2010-04-28 18:15:59.332192629 -0300
@@ -82,11 +82,6 @@ def delete_tmpfiles():
 # Set environment variables
 ######################################################    
 SAGE_ROOT = os.environ["SAGE_ROOT"]
-LD = os.environ["LD_LIBRARY_PATH"]
-os.environ["LD_LIBRARY_PATH"] = os.path.join(SAGE_ROOT, 'local',
-                                             'lib') + ":" + LD
-os.environ["PYTHONPATH"] = os.path.join(SAGE_ROOT, 'local', 'lib', 'python',
-                                        'site-packages')
 if os.environ.has_key('SAGE_PATH'):
     os.environ["PYTHONPATH"] = os.environ["PYTHONPATH"] + ':' + os.environ['SAGE_PATH']
 
@@ -100,7 +95,7 @@ try:
     print SAGE_MEMCHECK_FLAGS
 except:
     suppfile = os.path.join('$SAGE_LOCAL', 'lib', 'valgrind', 'sage.supp')
-    SAGE_MEMCHECK_FLAGS = " --leak-resolution=high %s --leak-check=full --num-callers=25 --suppressions=%s " % (logfile % 'memcheck.%p', suppfile)
+    SAGE_MEMCHECK_FLAGS = " --leak-resolution=high %s --leak-check=full --num-callers=25 " % (logfile % 'memcheck.%p')
 
 try:
     SAGE_MASSIF_FLAGS = os.environ['SAGE_MASSIF_FLAGS']
@@ -117,10 +112,6 @@ try:
 except:
     SAGE_CALLGRIND_FLAGS = logfile % 'cachegrind.%p'
 
-try:
-    SAGE_OMEGA_FLAGS = os.environ['SAGE_OMEGA_FLAGS']
-except:
-    SAGE_OMEGA_FLAGS = logfile % 'omega.%p'
 
 ######################################################
 # The Python binary
@@ -633,8 +624,6 @@ def test_file(file, library_code):
             cmd = "valgrind --tool=massif " + SAGE_MASSIF_FLAGS + cmd
         if cachegrind:
             cmd = "valgrind --tool=cachegrind " +  SAGE_CACHEGRIND_FLAGS + cmd
-        if omega:
-            cmd = "valgrind --tool=exp-omega " + SAGE_OMEGA_FLAGS + cmd
 
         VALGRIND = os.path.join(DOT_SAGE, 'valgrind')
         if not os.path.exists(VALGRIND):
@@ -773,13 +762,12 @@ if __name__ ==  '__main__':
         memcheck   = has_opt('memcheck') or has_opt('valgrind')
         massif     = has_opt('massif')
         cachegrind = has_opt('cachegrind')
-        omega      = has_opt('omega')
         force_lib  = has_opt('force_lib')
         random_order = parse_rand()
         only_optional, only_optional_tags = parse_only_opt()
         if long_time:
             TIMEOUT = TIMEOUT_LONG
-        if gdb or memcheck or massif or cachegrind or omega:
+        if gdb or memcheck or massif or cachegrind:
             TIMEOUT = TIMEOUT_VALGRIND
         if argv[1][0] == '-':
             usage()
@@ -787,7 +775,7 @@ if __name__ ==  '__main__':
         ext = os.path.splitext(argv[1])[1]
 
         library_code = True
-        dev_path = os.path.realpath(os.path.join(SAGE_ROOT, 'devel'))
+        dev_path = os.path.realpath(os.environ['SAGE_DEVEL'] + '/sage')
         our_path = os.path.realpath(argv[1])
 
         if not force_lib and (ext in ['.spyx', '.sage'] or
diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/sage-maketest.orig sage-4.4/spkg/build/sage_scripts-4.4/sage-maketest
--- sage-4.4/spkg/build/sage_scripts-4.4/sage-maketest.orig	2010-04-28 18:16:09.092196524 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/sage-maketest	2010-04-28 18:16:38.643194494 -0300
@@ -19,9 +19,7 @@ fi
 # (We do this all in a single run of "sage -t" so we get a single summary.)
 # We test three subdirectories of doc/, rather than testing the
 # entirety of doc/, so that we can skip doc/output.
-"$SAGE_ROOT"/sage -t -sagenb "$@" "$SAGE_ROOT"/devel/sage/doc/common "$SAGE_ROOT"/devel/sage/doc/en "$SAGE_ROOT"/devel/sage/doc/fr  "$SAGE_ROOT"/devel/sage/sage 2>&1 | tee -a "$SAGE_TEST_LOG"
-
-cat "$SAGE_TEST_LOG" >> "$SAGE_ROOT"/test.log
+sage -t -sagenb "$@" devel/doc/common devel/doc/en devel/doc/fr devel/sage/sage 2>&1 | tee -a "$SAGE_TEST_LOG"
 
 echo "Please see $SAGE_TEST_LOG for the complete log from this test."
 
diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/sage-ptest.orig sage-4.4/spkg/build/sage_scripts-4.4/sage-ptest
--- sage-4.4/spkg/build/sage_scripts-4.4/sage-ptest.orig	2010-04-28 18:16:47.932196339 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/sage-ptest	2010-04-28 18:17:12.352193082 -0300
@@ -305,8 +305,8 @@ for gr in range(0,numglobaliteration):
 
     failed = []
 
-    SAGE_ROOT=os.environ['SAGE_ROOT']
-    TMP = os.path.join(os.environ['SAGE_TESTDIR'], 'tmp', 'test')
+    DOT_SAGE=os.environ['DOT_SAGE']
+    TMP = os.path.join(DOT_SAGE, 'tmp', 'test')
     if not os.path.exists(TMP):
         os.makedirs(TMP)
 
diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/sage-sage.orig sage-4.4/spkg/build/sage_scripts-4.4/sage-sage
--- sage-4.4/spkg/build/sage_scripts-4.4/sage-sage.orig	2010-04-28 18:18:06.390196012 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/sage-sage	2010-04-28 18:23:37.348192076 -0300
@@ -10,23 +10,15 @@ usage() {
     echo "  -v, -version  -- print the Sage version"
     echo "  -notebook [options] or -n [options] -- start the Sage notebook (options are"
     echo "                   the same as to the notebook command in Sage)"
-    echo "  -build-and-notebook [options] or -bn [options] -- build the Sage library then start"
-    echo "                   the Sage notebook"
     echo "  -inotebook [options] -- start the *insecure* Sage notebook "
-    echo "  -i [packages] -- install the given Sage packages"
     echo "  -min ...      -- do not populate global namespace (must be first option)"
-    echo "  -optional     -- list all optional packages that can be downloaded"
     echo "  -t <files|dir>-- test examples in .py, .pyx, .sage or .tex files"
     echo "        options to '-t':   --verbose, --gdb, --long, --optional,"
     echo "                  --valgrind, --memcheck, --massif, --cachegrind,"
     echo "                  --callgrind, --omega, --randorder[=seed]"
-    echo "  -upgrade [url]  -- download, build and install standard packages from given url"
-    echo "                     If url not given, automatically selects a suiteable mirror."
-    echo "                     If url='ask', it lets you select the mirror (uses SAGE_SERVER as default)."
     echo "  -advanced     -- list more options"
     echo "  file.[sage|py|spyx] [options] -- run given .sage, .py or .spyx files"
     echo "  -c cmd        -- Evaluates cmd as sage code"
-    echo "  -docbuild [lang/]<document> html|pdf|... -- Builds the Sage documentation"
     exit 1
 }
 
@@ -36,55 +28,36 @@ usage_advanced() {
     echo "----------------------------------------------------------------------"
     echo "  no options below    -- start interactive session, passing options to ipython"
     echo "  filename.sage -- run the given file using Sage"
-    echo "  -b [branch]   -- switch to and build Sage branch in devel/sage-branch"
-    echo "  -br [branch]  -- switch to, build, and run Sage branch in devel/sage-branch"
-    echo "  -ba [branch]  -- switch to, rebuild all Cython code, and run Sage branch in devel/sage-branch"
-    echo "  -ba-force [branch] -- same as -ba, but don't query before rebuilding"
-    echo "  -bdist VER    -- build a binary distribution of Sage"
-    echo "  -branch       -- print the current Sage branch"
     echo "  -cleaner      -- run the Sage cleaner"
-    echo "  -clone [new branch] -- clone and run a new branch of the Sage library from current branch"
     echo "  -coverage <files>  -- give info about doctest coverage of files"
     echo "  -coverageall  -- give summary info about doctest coverage of all files in the Sage library"
-    echo "  -crap sage-x.y.z.tar -- detect suspicious garbage in sage source distro"
     echo "  -ecl [...]    -- run Common Lisp"
-    echo "  -experimental -- list all experimental packages that can be downloaded"
     echo "  -gap <..>     -- run Sage's Gap with given arguments"
     echo "  -gdb          -- run Sage under the control of gdb"
     echo "  -gdb-ipython  -- run Sage's Ipython under the control of gdb"
     echo "  -gp <..>      -- run Sage's GP (Pari) with given arguments"
     echo "  -combinat <...> -- run sage-combinat patch management script"
-    echo "  -f [packages] -- force build of the given Sage package (even if already installed)"
     echo "  -fixdoctests <file.py> -- create <file.py>.out that would pass the doctests, and output a patch"
     echo "  -grep <string>-- grep through all the Sage library code for string"
     echo "  -grepdoc <string>-- grep through all the Sage documentation for string"
     echo "  -h, -?        -- print help message"
-    echo "  -i [packages] -- install the given Sage packages"
-    echo "                   if no packages given, print a list of all installed"
-    echo "  -i -s [packages] -- install the given Sage packages, not deleting their spkg/build directories."
     echo "  -ipython <...> -- run Sage's Ipython using the default environment (not Sage), passing additional options to Ipython"
     echo "  -kash <..>    -- run Sage's Kash with given arguments"
     #echo "  -ldist VER    -- build a library Sage distribution (for install into existing Python)"
     echo "  -lisp [...]   -- run Lisp interpreter included with Sage"
-    echo "  -log          -- add entry to <SAGE_ROOT>/changelog.txt"
     echo "  -maxima <..>  -- run Sage's Maxima with given arguments"
     echo "  -M2 <..>      -- run Sage's Macaulay2 with given arguments"
     echo "  -merge        -- run Sage's automatic merge and test script"
     echo "  -min ...      -- do not populate global namespace (must be first option)"
     echo "  -mwrank <..>  -- run Sage's mwrank with given arguments"
     echo "  -np           -- run with no output prompts (useful for making doctests)"
-    echo "  -optional     -- list all optional packages that can be downloaded"
-    echo "  -pkg <dir>    -- create Sage package dir.spkg from a given directory (bzip2 compression)"
-    echo "  -pkg_nc <dir> -- create Sage package dir.spkg from a given directory (no compression)"
     echo "  -preparse <file.sage> -- produce corresponding file.sage.py "
     echo "  -python       -- run the python interpreter"
     echo "  -q            -- quiet; start with no banner"
     echo "  -root         -- print the Sage root directory"
     echo "  -scons <..>   -- run Sage's scons"
-    echo "  -sdist VER    -- build a source distribution of Sage"
     echo "  -sh           -- run \$SHELL ($SHELL) with Sage environment variables set"
     echo "  -singular <..>-- run Sage's singular with given arguments"
-    echo "  -standard     -- list all standard packages that can be downloaded"
     echo "  -startuptime  -- display how long each component of sage takes to startup"
     echo "  -twistd <..>  -- run Twisted server"
     echo "  -t [-verbose] [-long] [-optional] [-only-optional=list,of,tags] <files|dir>"
@@ -94,15 +67,11 @@ usage_advanced() {
     echo "                      -optional -- also test all #optional examples"
     echo "                      -only-optional -- only run doctests with #optional <nonempty subset of tags>"
     echo "                      -randorder[=seed] -- randomize order of tests"
-    echo "  -tnew ...     -- like -t above, but only tests files modified since last commit"
     echo "  -tp <N> ...   -- like -t above, but tests in parallel using N threads"
     echo "                   with 0 interpreted as minimum(8, cpu_count())"
     echo "  -testall      -- test all source, docs, and examples in your Sage distro."
     #echo "  -update       -- download latest non-optional Sage packages (do not build them)"
     #echo "  -update-build -- build and install all downloaded non-optional Sage packages"
-    echo "  -upgrade [url]  -- download, build and install standard packages from given url"
-    echo "                     If url not given, automatically selects a suiteable mirror."
-    echo "                     If url='ask', it lets you select the mirror (uses SAGE_SERVER as default)."
     echo "  -gthread, -qthread, -q4thread, -wthread, -pylab"
     echo "                -- pass the option through to ipython"
     echo "  -valgrind     -- this is an alias for -memcheck"
@@ -118,21 +87,12 @@ usage_advanced() {
     echo "  -callgrind    -- run Sage under the control of valgrind using the callgrind tool."
     echo "                   The log files can be found in $HOME/.sage/ Those are named "
     echo "                   sage-callgrind.PID."
-    echo "  -omega        -- run Sage under the control of valgrind using the omega tool."
-    echo "                   The log files can be found in $HOME/.sage/ Those are named "
-    echo "                   sage-omega.PID."
     echo ""
     echo "You can also use -- before a long option, e.g., 'sage --optional'."
     echo ""
     exit 1
 }
 
-. $SAGE_ROOT/local/bin/sage-env   1>/dev/null 2>/dev/null
-
-if [ $? -ne 0 ]; then
-   echo "Error setting environment variables by running $SAGE_ROOT/local/bin/sage-env; possibly contact sage-devel (see http://groups.google.com/group/sage-devel)."
-fi
-
 # SAGE startup script passes some funny options, which are
 # best ignored.
 if [ $# -eq 3 ]; then
@@ -153,7 +113,7 @@ if [ $# -gt 0 ]; then
 fi
 
 
-LOGFILE="$SAGE_ROOT/sage.log"
+LOGFILE="$DOT_SAGE/sage.log"
 LOGOPT=""
 
 sage_setup() {
@@ -162,13 +122,6 @@ sage_setup() {
         cat "$SAGE_LOCAL/bin/sage-banner"
     fi
 
-    # Check to see if the whole SAGE install tree has moved.
-    # If so, regenerate .pyc files.
-    "$SAGE_ROOT/local/bin/"sage-location
-    if [ $? -ne 0 ]; then
-        exit 1
-    fi
-
     cd "$SAGE_ROOT/local/bin"
     IPYTHONDIR="$DOT_SAGE/ipython" && export IPYTHONDIR
     IPYTHONRC="ipythonrc" && export IPYTHONRC
@@ -240,11 +193,6 @@ if [ $1 = '-root'  -o $1 = '--root' ]; t
     exit 0
 fi
 
-if [ $1 = '-branch'  -o $1 = '--branch' ]; then
-    readlink "$SAGE_ROOT/devel/sage" | sed "s/sage-//"
-    exit $?
-fi
-
 #####################################################################
 # Run Sage's versions of the standard Algebra/Geometry etc. software
 #####################################################################
@@ -425,39 +373,6 @@ if [ $1 = '-gdb-ipython'  -o $1 = '--gdb
     exit $?
 fi
 
-if [ $1 = '-darcs'  -o $1 = '--darcs' ]; then
-    cd "$CUR"
-    shift
-    darcs "$@"
-    exit $?
-fi
-
-if [ $1 = '-hg'  -o $1 = '--hg' ]; then
-    cd "$CUR"
-    shift
-    hg "$@" # XXX
-    exit $?
-fi
-
-if [ $1 = '-hgmerge'  -o $1 = '--hgmerge' ]; then
-    ## NEED in Sage Environment under OS X
-    unset LIBRARY_PATH
-    unset LD_LIBRARY_PATH
-    unset DYLD_LIBRARY_PATH
-
-    cd "$CUR"
-    shift
-    hgmerge "$@"
-    exit $?
-fi
-
-if [ $1 = '-merge' ]; then
-    cd "$CUR"
-    shift
-    sage-apply-ticket "$@"
-    exit $?
-fi
-
 #####################################################################
 # Test coverage of a module?
 #####################################################################
@@ -476,35 +391,10 @@ if [ $1 = "-coverageall" -o $1 = "--cove
    exit $?
 fi
 
-
-#####################################################################
-# Crap
-#####################################################################
-
-if [ $1 = "-crap" -o $1 = "--crap" ]; then
-   shift
-   cd "$CUR"
-   sage-crap $@
-   exit $?
-fi
-
 #####################################################################
 # Run Sage's versions of the standard Algebra/Geometry etc. software
 #####################################################################
 
-build_sage() {
-    if [ "$SAGE_PBUILD" == "yes" ]; then
-        echo 'Pbuild is currently broken -- defaulting to serial build.'
-        # if [ "$@" ]; then
-        #     ln -snf "$SAGE_ROOT"/devel/sage-"$@" "$SAGE_ROOT"/devel/sage
-        # fi
-        # time python "$SAGE_ROOT"/devel/sage/build.py -b
-        sage-build "$@"
-    else
-        sage-build "$@"
-    fi
-}
-
 if [ $1 = "-notebook"  -o $1 = '--notebook' -o $1 = '-n' ]; then
    cd "$CUR"
    shift
@@ -513,14 +403,6 @@ if [ $1 = "-notebook"  -o $1 = '--notebo
    exit $?
 fi
 
-if [ $1 = "-bn" -o $1 = "--build-and-notebook" ]; then
-    cd "$CUR"
-    shift
-    sage-cleaner &
-    build_sage && sage-notebook "$@"
-    exit $?
-fi
-
 if [ $1 = "-inotebook"  -o $1 = '--inotebook' ]; then
    cd "$CUR"
    shift
@@ -563,70 +445,6 @@ if [ $1 = '-q' ]; then
    exit $?
 fi
 
-if [ $1 = '-b' ]; then
-    shift
-    time build_sage "$@"
-    exit $?
-fi
-
-if [ $1 = '-br' -o $1 = "--br" ]; then
-    shift
-    build_sage "$@" && sage
-    exit $?
-fi
-
-if [ $1 = '-r' ]; then
-   shift
-   if [ "$1" != "" ]; then
-      cd "$SAGE_ROOT/devel/"
-      if [ ! -d "sage-$1" ]; then
-         echo "No such branch '$SAGE_ROOT/devel/sage-$1'"
-         echo "Use 'sage -clone' to create a new branch."
-         exit 1
-      fi
-      ln -snf "sage-$1" sage
-      cd "$SAGE_ROOT"
-   fi
-   sage
-   exit $?
-fi
-
-if [ $1 = '-ba' ]; then
-   shift
-   echo " *** WARNING *** "
-   echo " You are about to rebuild the entire Sage library."
-   echo " This will take a significant amount of time."
-   echo -n " Do you want to proceed? [y/n] "
-   read CHOICE
-   while [ "$CHOICE" != "y" -a "$CHOICE" != "n" ]; do
-	   echo -n " Choose one of y, n: "
-	   read CHOICE
-   done
-   if [ $CHOICE = 'n' ]; then
-	   exit 0
-   fi
-   build_sage -b "$@"
-   exit $?
-fi
-
-if [ $1 = '-ba-force' ]; then
-   shift
-   build_sage -b "$@"
-   exit $?
-fi
-
-if [ $1 = '-sync-build' -o $1 = '--sync-build' ]; then
-   shift
-   python "$SAGE_LOCAL"/bin/sage-sync-build.py "$@"
-   exit $?
-fi
-
-if [ $1 = '-clone' -o $1 = "--clone" ]; then
-   shift
-   time sage-clone "$@"
-   exit $?
-fi
-
 if [ $1 = '-t' ]; then
    if ! [  -f  "$DOT_SAGE"/init.sage ]; then
       echo "init.sage does not exist ... creating"
@@ -640,7 +458,6 @@ fi
 
 if [ $1 = '-tp' ]; then
    cd "$CUR"
-   sage-starts
    if ! [  -f  "$DOT_SAGE"/init.sage ]; then
       echo "init.sage does not exist ... creating"
       touch "$DOT_SAGE"/init.sage
@@ -650,13 +467,6 @@ if [ $1 = '-tp' ]; then
    exit $?
 fi
 
-if [ $1 = '-tnew' ]; then
-   cd "$CUR"
-   shift
-   sage-test-new "$@"
-   exit $?
-fi
-
 if [ $1 = '-testall' -o $1 = "--testall" ]; then
    shift
    sage-maketest "$@"
@@ -672,169 +482,6 @@ if [ $1 = '-c' ]; then
    exit $?
 fi
 
-install() {
-   cd "$SAGE_ROOT/spkg"
-   if [ $# -lt 2 ]; then
-       sage-spkg
-       exit $?
-   fi
-   OPT="$1"
-   shift
-   if [ $1 = '-m' -o $1 = '-s' ]; then
-       OPT=$OPT" "$1
-       shift
-   fi
-   for PKG in "$@"
-   do
-       echo "Calling sage-spkg on $PKG"
-       case $PKG in
-	   /*)
-	       sage-spkg $OPT "$PKG" 2>&1 | (trap "" SIGINT; tee -a ../install.log)
-	   ;;
-	   *)
-	       sage-spkg $OPT "$CUR/$PKG" 2>&1 | (trap "" SIGINT; tee -a ../install.log)
-	   ;;
-       esac
-
-       if [ $? -ne 0 ]; then
-          exit 1
-       fi
-       shift
-   done
-   exit $?
-}
-
-if [ $1 = '-optional' -o $1 = "--optional" ]; then
-   sage-list-optional
-   exit 0
-fi
-
-if [ $1 = '-experimental' -o $1 = "--experimental" ]; then
-   sage-list-experimental
-   exit 0
-fi
-
-if [ $1 = '-standard' -o $1 = "--standard" ]; then
-   sage-list-standard
-   exit 0
-fi
-
-if [ $1 = '-i' ]; then
-   shift
-   echo "Installing $@"
-   install " " "$@"
-fi
-
-if [ $1 = '-f' ]; then
-   shift
-   echo "Force installing $@"
-   install -f "$@"
-fi
-
-if [ "$1" = '-pkg' -o "$1" = '-spkg' -o $1 = "--pkg" -o $1 = "--spkg" ]; then
-   cd "$CUR"
-   shift
-   for PKG in "$@"
-   do
-      echo "Creating Sage package $PKG"
-      sage-pkg "$PKG"
-      if [ $? -ne 0 ]; then
-         exit 1
-      fi
-   done
-   exit $?
-fi
-
-if [ $1 = '-pkg_nc' -o $1 = "--pkg_nc" ]; then
-   cd "$CUR"
-   shift
-   for PKG in "$@"
-   do
-      echo "Creating Sage package $PKG with no compression"
-      sage-pkg --nocompress "$PKG"
-      if [ $? -ne 0 ]; then
-         exit 1
-      fi
-   done
-   exit $?
-fi
-
-if [ $1 = '-sdist' -o $1 = "--sdist" ]; then
-   if [ $# -ne 2 ]; then
-       echo "** MISSING VERSION NUMBER! ** "
-   fi
-   sage-sdist $2 "$SAGE_ROOT"
-   exit $?
-fi
-
-if [ $1 = '-ldist' -o $1 = "--ldist" ]; then
-   echo "sage -ldist currently disabled"
-   echo "To work on it, remove the exit after this message in SAGE_ROOT/local/bin/sage-sage"
-   exit 1
-   if [ $# -ne 2 ]; then
-       echo "** MISSING VERSION NUMBER! ** "
-   fi
-   sage-sdist $2 "$SAGE_ROOT"
-   if [ $? -ne 0 ]; then
-       echo "Error building source distribution"
-       exit 1
-   fi
-   cd "$SAGE_ROOT"/dist/
-   if [ $? -ne 0 ]; then
-       echo "Error changing to source distribution directory"
-       exit 1
-   fi
-   "$SAGE_ROOT"/local/bin/sage-libdist sage-$2.tar
-   exit $?
-fi
-
-if [ $1 = '-bdist' -o $1 = "--bdist" ]; then
-   if [ $# -ne 2 ]; then
-       echo "** MISSING VERSION NUMBER! ** "
-   fi
-   sage-bdist $2 "$SAGE_ROOT"
-   exit $?
-fi
-
-#if [ $1 = '-update' ]; then
-#    sage-update
-#    exit $?
-#fi
-
-#if [ $1 = '-update-build' -o $1 = "--update-build" ]; then
-#    sage-update-build
-#    sage-update-build
-#    exit $?
-#fi
-
-if [ $1 = '-upgrade' -o $1 = "--upgrade" ]; then
-    # People often move the Sage install right before doing the upgrade, so it's
-    # important to fix any path hardcoding issues first, or certain library
-    # links will fail.
-    "$SAGE_ROOT/local/bin/"sage-location
-
-    # Do it twice since when installing sage-scripts and a running
-    # script changes, it gets confused and exits with an error.
-    # Running again (with the script replaced) then fixes the problem.
-    # Run from a temporary copy of sage-sage
-    shift
-    sage-upgrade "$@"
-    if [ $? = 2 ]; then   # this exit codes means the user elected not to do the upgrade at all.
-        exit $?
-    fi
-    echo "Double checking that all packages have been installed."
-    sage-upgrade "$@"
-    exit $?
-fi
-
-if [ $1 = "-docbuild" -o $1 = "--docbuild" ]; then
-   cd "$CUR"
-   shift
-   python "$SAGE_ROOT"/devel/sage/doc/common/builder.py $@
-   exit $?
-fi
-
-
 if [ $1 = '-gdb' -o $1 = "--gdb" ]; then
     sage_setup
     sage-gdb
@@ -879,12 +526,6 @@ if [ $1 = '-callgrind' -o $1 = "--callgr
     exit $?
 fi
 
-if [ $1 = '-omega' -o $1 = "--omega" ]; then
-    sage_setup
-    sage-omega
-    exit $?
-fi
-
 if [ $1 = '-startuptime' -o $1 = '--startuptime' ]; then
     python "$SAGE_LOCAL"/bin/sage-startuptime.py
     exit $?
diff -p -up sage-4.4/spkg/build/sage_scripts-4.4/sage-valgrind.orig sage-4.4/spkg/build/sage_scripts-4.4/sage-valgrind
--- sage-4.4/spkg/build/sage_scripts-4.4/sage-valgrind.orig	2010-04-28 18:17:32.470196827 -0300
+++ sage-4.4/spkg/build/sage_scripts-4.4/sage-valgrind	2010-04-28 18:17:49.127390526 -0300
@@ -12,7 +12,7 @@ fi
 LOG="$HOME"/.sage/valgrind/sage-memcheck.%p
 echo "Log file is $LOG"
 
-MEMCHECK_FLAGS="--leak-resolution=high --log-file=$LOG --leak-check=full --num-callers=25 --suppressions=$SAGE_LOCAL/lib/valgrind/sage.supp "; export MEMCHECK_FLAGS
+MEMCHECK_FLAGS="--leak-resolution=high --log-file=$LOG --leak-check=full --num-callers=25 "; export MEMCHECK_FLAGS
 if [ "$SAGE_MEMCHECK_FLAGS" ]; then
     echo "Overwriting memcheck flags with:"
     echo $SAGE_MEMCHECK_FLAGS